Get Metadata

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transactiondesk-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "TransactionDesk API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transactiondesk-api/mcp"
  }
}

Close
GET /v2/transactions/statuses/meta

Returns metadata for a GET request, including the default number of records returned, the maximum, and the default sort order. Not available on transaction details or transaction contacts endpoints.

Responses

  • 200 application/json

    Metadata returned successfully

    Hide response attributes Show response attributes object
    • defaultTake integer

      Default number of records returned when not using a filter

    • maxTake integer

      Maximum records returnable using the $take filter

    • defaultOrder string

      Default sort order

  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
    • data
  • 404 application/json

    Metadata not available for this resource

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
GET /v2/transactions/statuses/meta
curl \
 --request GET 'https://api.pre.transactiondesk.com/v2/transactions/statuses/meta' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "defaultTake": 10,
  "maxTake": 100,
  "defaultOrder": "Name"
}
Response examples (401)
{
  "code": 401,
  "message": "Unauthorized. The user is not authenticated.",
  "details": []
}
Response examples (404)
{
  "code": 404,
  "message": "Item not found.",
  "details": []
}